<?php if (!defined('ABSPATH')) exit; /* Exit if accessed directly */ ?>
<div class="wrap">
    <h1>
        <a href="admin.php?page=<?php echo $this->pp_prefix; ?>menuPages"><i class="dashicons dashicons-admin-home pp-dashicons-lg"></i></a> // Expert Configuration
    </h1>
    <div class="pp-container">
        <div class="pp-box">
            <h2>Configuration Settings</h2>
            <form action="admin-post.php" method="post">
                <input type="hidden" name="<?php echo $this->pp_prefix; ?>redirect_page" value="<?php echo $this->pp_prefix; ?>menuPageConfiguration">
                <input type="hidden" name="action" value="<?php echo $this->pp_prefix; ?>updateOptions">

                <?php wp_nonce_field($this->pp_prefix . 'updateOptions'); ?>

                <h3>Google Analytics tracking integration</h3>

                <label for="<?php echo $this->pp_prefix . 'google_analytics_key'; ?>"><strong><?php echo $this->pp_config_attributes['google_analytics_key']['name_read']; ?>:</strong></label>
                <br/>
                <input id="<?php echo $this->pp_prefix . 'google_analytics_key'; ?>"
                       name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][google_analytics_key]"
                       value="<?php echo htmlspecialchars($this->pp_config['google_analytics_key']); ?>"/>
                <br/><span class="description"><?php echo $this->pp_config_attributes['google_analytics_key']['description']; ?></span>

                <br/><br/>
                <label for="<?php echo $this->pp_prefix . 'google_analytics_track_frontend'; ?>"><strong><?php echo $this->pp_config_attributes['google_analytics_track_frontend']['name_read']; ?>:</strong></label>
                <br/>
                <select id="<?php echo $this->pp_prefix . 'google_analytics_track_frontend'; ?>" name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][google_analytics_track_frontend]">
                    <?php foreach ($this->pp_config_attributes['google_analytics_track_frontend']['validator'] AS $value => $nicename) { ?>
                        <option value="<?php echo htmlspecialchars($value); ?>"<?php if ($this->pp_config['google_analytics_track_frontend'] == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
                    <?php } ?>
                </select>
                <br/><span class="description"><?php echo $this->pp_config_attributes['google_analytics_track_frontend']['description']; ?></span>

                <br/><br/>
                <label for="<?php echo $this->pp_prefix . 'google_analytics_track_login_registration'; ?>"><strong><?php echo $this->pp_config_attributes['google_analytics_track_login_registration']['name_read']; ?>:</strong></label>
                <br/>
                <select id="<?php echo $this->pp_prefix . 'google_analytics_track_login_registration'; ?>" name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][google_analytics_track_login_registration]">
                    <?php foreach ($this->pp_config_attributes['google_analytics_track_login_registration']['validator'] AS $value => $nicename) { ?>
                        <option value="<?php echo htmlspecialchars($value); ?>"<?php if ($this->pp_config['google_analytics_track_login_registration'] == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
                    <?php } ?>
                </select>
                <br/><span class="description"><?php echo $this->pp_config_attributes['google_analytics_track_login_registration']['description']; ?></span>

                <br/><br/>
                <label for="<?php echo $this->pp_prefix . 'google_analytics_track_admin_panel'; ?>"><strong><?php echo $this->pp_config_attributes['google_analytics_track_admin_panel']['name_read']; ?>:</strong></label>
                <br/>
                <select id="<?php echo $this->pp_prefix . 'google_analytics_track_admin_panel'; ?>" name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][google_analytics_track_admin_panel]">
                    <?php foreach ($this->pp_config_attributes['google_analytics_track_admin_panel']['validator'] AS $value => $nicename) { ?>
                        <option value="<?php echo htmlspecialchars($value); ?>"<?php if ($this->pp_config['google_analytics_track_admin_panel'] == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
                    <?php } ?>
                </select>
                <br/><span class="description"><?php echo $this->pp_config_attributes['google_analytics_track_admin_panel']['description']; ?></span>

                <br/><br/>
                <label for="<?php echo $this->pp_prefix . 'google_analytics_track_loggedin'; ?>"><strong><?php echo $this->pp_config_attributes['google_analytics_track_loggedin']['name_read']; ?>:</strong></label>
                <br/>
                <select id="<?php echo $this->pp_prefix . 'google_analytics_track_loggedin'; ?>" name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][google_analytics_track_loggedin]">
                    <?php foreach ($this->pp_config_attributes['google_analytics_track_loggedin']['validator'] AS $value => $nicename) { ?>
                        <option value="<?php echo htmlspecialchars($value); ?>"<?php if ($this->pp_config['google_analytics_track_loggedin'] == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
                    <?php } ?>
                </select>
                <br/><span class="description"><?php echo $this->pp_config_attributes['google_analytics_track_loggedin']['description']; ?></span>

                <br/><br/>
                <label for="<?php echo $this->pp_prefix . 'google_analytics_anonymize_ip'; ?>"><strong><?php echo $this->pp_config_attributes['google_analytics_anonymize_ip']['name_read']; ?>:</strong></label>
                <br/>
                <select id="<?php echo $this->pp_prefix . 'google_analytics_anonymize_ip'; ?>" name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][google_analytics_anonymize_ip]">
                    <?php foreach ($this->pp_config_attributes['google_analytics_anonymize_ip']['validator'] AS $value => $nicename) { ?>
                        <option value="<?php echo htmlspecialchars($value); ?>"<?php if ($this->pp_config['google_analytics_anonymize_ip'] == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
                    <?php } ?>
                </select>
                <br/><span class="description"><?php echo $this->pp_config_attributes['google_analytics_anonymize_ip']['description']; ?></span>

                <br/><br/>
                <label for="<?php echo $this->pp_prefix . 'google_analytics_respect_wp_consent_manager_pro_settings'; ?>"><strong><?php echo $this->pp_config_attributes['google_analytics_respect_wp_consent_manager_pro_settings']['name_read']; ?>:</strong></label>
                <br/>
                <select id="<?php echo $this->pp_prefix . 'google_analytics_respect_wp_consent_manager_pro_settings'; ?>" name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][google_analytics_respect_wp_consent_manager_pro_settings]">
                    <?php foreach ($this->pp_config_attributes['google_analytics_respect_wp_consent_manager_pro_settings']['validator'] AS $value => $nicename) { ?>
                        <option value="<?php echo htmlspecialchars($value); ?>"<?php if ($this->pp_config['google_analytics_respect_wp_consent_manager_pro_settings'] == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
                    <?php } ?>
                </select>
                <br/><span class="description"><?php echo $this->pp_config_attributes['google_analytics_respect_wp_consent_manager_pro_settings']['description']; ?></span>
                <br/><span class="description"><?php _e('Find out more on WP Consent Manager PRO here: ', 'wp_lean_analytics_free'); ?> <a href="https://www.wpconsentmanager.com/?utm_source=configuration_settings&utm_medium=web&utm_campaign=plugin_wp_lean_analytics_free" target="_blank">wpConsentManager.com</a></span>

                <br/>
                <br/>
                <hr/>
                <br/>

                <h3>Facebook Pixel tracking integration</h3>

                <label for="<?php echo $this->pp_prefix . 'facebook_analytics_key'; ?>"><strong><?php echo $this->pp_config_attributes['facebook_analytics_key']['name_read']; ?>:</strong></label>
                <br/>
                <input id="<?php echo $this->pp_prefix . 'facebook_analytics_key'; ?>"
                       name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][facebook_analytics_key]"
                       value="<?php echo htmlspecialchars($this->pp_config['facebook_analytics_key']); ?>"/>
                <br/><span class="description"><?php echo $this->pp_config_attributes['facebook_analytics_key']['description']; ?></span>

                <br/><br/>
                <label for="<?php echo $this->pp_prefix . 'facebook_analytics_track_frontend'; ?>"><strong><?php echo $this->pp_config_attributes['facebook_analytics_track_frontend']['name_read']; ?>:</strong></label>
                <br/>
                <select id="<?php echo $this->pp_prefix . 'facebook_analytics_track_frontend'; ?>" name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][facebook_analytics_track_frontend]">
                    <?php foreach ($this->pp_config_attributes['facebook_analytics_track_frontend']['validator'] AS $value => $nicename) { ?>
                        <option value="<?php echo htmlspecialchars($value); ?>"<?php if ($this->pp_config['facebook_analytics_track_frontend'] == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
                    <?php } ?>
                </select>
                <br/><span class="description"><?php echo $this->pp_config_attributes['facebook_analytics_track_frontend']['description']; ?></span>

                <br/><br/>
                <label for="<?php echo $this->pp_prefix . 'facebook_analytics_track_login_registration'; ?>"><strong><?php echo $this->pp_config_attributes['facebook_analytics_track_login_registration']['name_read']; ?>:</strong></label>
                <br/>
                <select id="<?php echo $this->pp_prefix . 'facebook_analytics_track_login_registration'; ?>" name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][facebook_analytics_track_login_registration]">
                    <?php foreach ($this->pp_config_attributes['facebook_analytics_track_login_registration']['validator'] AS $value => $nicename) { ?>
                        <option value="<?php echo htmlspecialchars($value); ?>"<?php if ($this->pp_config['facebook_analytics_track_login_registration'] == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
                    <?php } ?>
                </select>
                <br/><span class="description"><?php echo $this->pp_config_attributes['facebook_analytics_track_login_registration']['description']; ?></span>

                <br/><br/>
                <label for="<?php echo $this->pp_prefix . 'facebook_analytics_track_admin_panel'; ?>"><strong><?php echo $this->pp_config_attributes['facebook_analytics_track_admin_panel']['name_read']; ?>:</strong></label>
                <br/>
                <select id="<?php echo $this->pp_prefix . 'facebook_analytics_track_admin_panel'; ?>" name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][facebook_analytics_track_admin_panel]">
                    <?php foreach ($this->pp_config_attributes['facebook_analytics_track_admin_panel']['validator'] AS $value => $nicename) { ?>
                        <option value="<?php echo htmlspecialchars($value); ?>"<?php if ($this->pp_config['facebook_analytics_track_admin_panel'] == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
                    <?php } ?>
                </select>
                <br/><span class="description"><?php echo $this->pp_config_attributes['facebook_analytics_track_admin_panel']['description']; ?></span>

                <br/><br/>
                <label for="<?php echo $this->pp_prefix . 'facebook_analytics_track_loggedin'; ?>"><strong><?php echo $this->pp_config_attributes['facebook_analytics_track_loggedin']['name_read']; ?>:</strong></label>
                <br/>
                <select id="<?php echo $this->pp_prefix . 'facebook_analytics_track_loggedin'; ?>" name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][facebook_analytics_track_loggedin]">
                    <?php foreach ($this->pp_config_attributes['facebook_analytics_track_loggedin']['validator'] AS $value => $nicename) { ?>
                        <option value="<?php echo htmlspecialchars($value); ?>"<?php if ($this->pp_config['facebook_analytics_track_loggedin'] == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
                    <?php } ?>
                </select>
                <br/><span class="description"><?php echo $this->pp_config_attributes['facebook_analytics_track_loggedin']['description']; ?></span>

                <br/><br/>
                <label for="<?php echo $this->pp_prefix . 'facebook_analytics_respect_wp_consent_manager_pro_settings'; ?>"><strong><?php echo $this->pp_config_attributes['facebook_analytics_respect_wp_consent_manager_pro_settings']['name_read']; ?>:</strong></label>
                <br/>
                <select id="<?php echo $this->pp_prefix . 'facebook_analytics_respect_wp_consent_manager_pro_settings'; ?>" name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][facebook_analytics_respect_wp_consent_manager_pro_settings]">
                    <?php foreach ($this->pp_config_attributes['facebook_analytics_respect_wp_consent_manager_pro_settings']['validator'] AS $value => $nicename) { ?>
                        <option value="<?php echo htmlspecialchars($value); ?>"<?php if ($this->pp_config['facebook_analytics_respect_wp_consent_manager_pro_settings'] == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
                    <?php } ?>
                </select>
                <br/><span class="description"><?php echo $this->pp_config_attributes['facebook_analytics_respect_wp_consent_manager_pro_settings']['description']; ?></span>
                <br/><span class="description"><?php _e('Find out more on WP Consent Manager PRO here: ', 'wp_fb_pixel_free'); ?> <a href="https://www.wpconsentmanager.com/?utm_source=configuration_settings&utm_medium=web&utm_campaign=plugin_wp_lean_analytics_free" target="_blank">wpConsentManager.com</a></span>

                <br/>
                <br/>
                <hr/>
                <br/>

                <h3>Smartlook recording integration</h3>

                <label for="<?php echo $this->pp_prefix . 'smartlook_analytics_key'; ?>"><strong><?php echo $this->pp_config_attributes['smartlook_analytics_key']['name_read']; ?>:</strong></label>
                <br/>
                <input id="<?php echo $this->pp_prefix . 'smartlook_analytics_key'; ?>"
                       name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][smartlook_analytics_key]"
                       value="<?php echo htmlspecialchars($this->pp_config['smartlook_analytics_key']); ?>"/>
                <br/><span class="description"><?php echo $this->pp_config_attributes['smartlook_analytics_key']['description']; ?></span>

                <br/><br/>
                <label for="<?php echo $this->pp_prefix . 'smartlook_analytics_track_frontend'; ?>"><strong><?php echo $this->pp_config_attributes['smartlook_analytics_track_frontend']['name_read']; ?>:</strong></label>
                <br/>
                <select id="<?php echo $this->pp_prefix . 'smartlook_analytics_track_frontend'; ?>" name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][smartlook_analytics_track_frontend]">
                    <?php foreach ($this->pp_config_attributes['smartlook_analytics_track_frontend']['validator'] AS $value => $nicename) { ?>
                        <option value="<?php echo htmlspecialchars($value); ?>"<?php if ($this->pp_config['smartlook_analytics_track_frontend'] == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
                    <?php } ?>
                </select>
                <br/><span class="description"><?php echo $this->pp_config_attributes['smartlook_analytics_track_frontend']['description']; ?></span>

                <br/><br/>
                <label for="<?php echo $this->pp_prefix . 'smartlook_analytics_track_login_registration'; ?>"><strong><?php echo $this->pp_config_attributes['smartlook_analytics_track_login_registration']['name_read']; ?>:</strong></label>
                <br/>
                <select id="<?php echo $this->pp_prefix . 'smartlook_analytics_track_login_registration'; ?>" name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][smartlook_analytics_track_login_registration]">
                    <?php foreach ($this->pp_config_attributes['smartlook_analytics_track_login_registration']['validator'] AS $value => $nicename) { ?>
                        <option value="<?php echo htmlspecialchars($value); ?>"<?php if ($this->pp_config['smartlook_analytics_track_login_registration'] == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
                    <?php } ?>
                </select>
                <br/><span class="description"><?php echo $this->pp_config_attributes['smartlook_analytics_track_login_registration']['description']; ?></span>

                <br/><br/>
                <label for="<?php echo $this->pp_prefix . 'smartlook_analytics_track_admin_panel'; ?>"><strong><?php echo $this->pp_config_attributes['smartlook_analytics_track_admin_panel']['name_read']; ?>:</strong></label>
                <br/>
                <select id="<?php echo $this->pp_prefix . 'smartlook_analytics_track_admin_panel'; ?>" name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][smartlook_analytics_track_admin_panel]">
                    <?php foreach ($this->pp_config_attributes['smartlook_analytics_track_admin_panel']['validator'] AS $value => $nicename) { ?>
                        <option value="<?php echo htmlspecialchars($value); ?>"<?php if ($this->pp_config['smartlook_analytics_track_admin_panel'] == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
                    <?php } ?>
                </select>
                <br/><span class="description"><?php echo $this->pp_config_attributes['smartlook_analytics_track_admin_panel']['description']; ?></span>

                <br/><br/>
                <label for="<?php echo $this->pp_prefix . 'smartlook_analytics_track_loggedin'; ?>"><strong><?php echo $this->pp_config_attributes['smartlook_analytics_track_loggedin']['name_read']; ?>:</strong></label>
                <br/>
                <select id="<?php echo $this->pp_prefix . 'smartlook_analytics_track_loggedin'; ?>" name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][smartlook_analytics_track_loggedin]">
                    <?php foreach ($this->pp_config_attributes['smartlook_analytics_track_loggedin']['validator'] AS $value => $nicename) { ?>
                        <option value="<?php echo htmlspecialchars($value); ?>"<?php if ($this->pp_config['smartlook_analytics_track_loggedin'] == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
                    <?php } ?>
                </select>
                <br/><span class="description"><?php echo $this->pp_config_attributes['smartlook_analytics_track_loggedin']['description']; ?></span>

                <br/><br/>
                <label for="<?php echo $this->pp_prefix . 'smartlook_analytics_respect_wp_consent_manager_pro_settings'; ?>"><strong><?php echo $this->pp_config_attributes['smartlook_analytics_respect_wp_consent_manager_pro_settings']['name_read']; ?>:</strong></label>
                <br/>
                <select id="<?php echo $this->pp_prefix . 'smartlook_analytics_respect_wp_consent_manager_pro_settings'; ?>" name="<?php echo $this->pp_prefix . 'data'; ?>[option_new][smartlook_analytics_respect_wp_consent_manager_pro_settings]">
                    <?php foreach ($this->pp_config_attributes['smartlook_analytics_respect_wp_consent_manager_pro_settings']['validator'] AS $value => $nicename) { ?>
                        <option value="<?php echo htmlspecialchars($value); ?>"<?php if ($this->pp_config['smartlook_analytics_respect_wp_consent_manager_pro_settings'] == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
                    <?php } ?>
                </select>
                <br/><span class="description"><?php echo $this->pp_config_attributes['smartlook_analytics_respect_wp_consent_manager_pro_settings']['description']; ?></span>
                <br/><span class="description"><?php _e('Find out more on WP Consent Manager PRO here: ', 'wp_fb_pixel_free'); ?> <a href="https://www.wpconsentmanager.com/?utm_source=configuration_settings&utm_medium=web&utm_campaign=plugin_wp_lean_analytics_free" target="_blank">wpConsentManager.com</a></span>

                <br/><br/>
                <input class="button-primary" type="submit" value="Save settings"/>
            </form>
        </div>
    </div>
</div>