<?php
/*
Plugin Name: WP Lean Analytics
Plugin URI: https://www.wpserviceagent.com/plugins/wp-lean-analytics?utm_source=wordpress_plugin_header&utm_medium=web&utm_campaign=plugin_wp_lean_analytics_free
Description: Lean, compliant Google Analytics, social tracking, and Smartlook integration (no coding required) while keeping your website fast and safe
Author: WP Service Agent, Germany
Version: 1.1.0
Author URI: https://www.wpserviceagent.com/
Text Domain: wp_lean_analytics_free
Domain Path: /plugin/languages
*/

if(!defined('ABSPATH')) exit; /* Exit if accessed directly */

//--------------------------------------------------------------------------------------------
//Config section
//--------------------------------------------------------------------------------------------

//Plugin name:
$pp_plugin_name = 'wp_lean_analytics_free'; //Technical name (small a-z only), consistent with class name
$pp_plugin_name_read = "WP Lean Analytics"; //Public, readable name
$pp_plugin_name_read_short = "WP Lean Analytics"; //Public, readable name (choose something short as this will be used in the navigation)
$pp_plugin_filefolder_name = 'wp-lean-analytics'; //Technical name (small a-z only), consistent with foldername + this file

//Load plugin class
require_once(plugin_dir_path(__FILE__)."plugin/plugin_class.inc.php");

//Instanciate plugin class
$GLOBALS[strtoupper($pp_plugin_name).'_OBJECT'] = new $pp_plugin_name($pp_plugin_name, $pp_plugin_name_read, $pp_plugin_name_read_short, $pp_plugin_filefolder_name);

//Include the widget controller
require_once(plugin_dir_path(__FILE__)."plugin/plugin_widget.inc.php");

//Include the plugin controller
$GLOBALS[strtoupper($pp_plugin_name).'_OBJECT']->init();

//Activation-Hooks must be called from main plugin file (this file!)
register_activation_hook(__FILE__, array($GLOBALS[strtoupper($pp_plugin_name).'_OBJECT'], 'activate')); //On plugin activation
register_deactivation_hook(__FILE__, array($GLOBALS[strtoupper($pp_plugin_name).'_OBJECT'], 'deactivate')); //On plugin deactivation
register_uninstall_hook(__FILE__, array($pp_plugin_name, 'static_uninstall')); //On plugin uninstallation

//Unset all config vars (not the plugin object!)
unset($pp_plugin_name);
unset($pp_plugin_name_read);
unset($pp_plugin_name_read_short);
unset($pp_plugin_filefolder_name);

?>